Package org.drinkless.tdlib

# Class TdApi.UpdateChatAccentColors

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Update
org.drinkless.tdlib.TdApi.UpdateChatAccentColors

Enclosing class:
  `TdApi`

public static class TdApi.UpdateChatAccentColors extends TdApi.Update
Chat accent colors have changed.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Update

  `TdApi.Update.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `accentColorId`
  The new chat accent color identifier.
  `long`
  `backgroundCustomEmojiId`
  The new identifier of a custom emoji to be shown on the reply header and link preview background; 0 if none.
  `long`
  `chatId`
  Chat identifier.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `profileAccentColorId`
  The new chat profile accent color identifier; -1 if none.
  `long`
  `profileBackgroundCustomEmojiId`
  The new identifier of a custom emoji to be shown on the profile background; 0 if none.
  `TdApi.UpgradedGiftColors`
  `upgradedGiftColors`
  Color scheme based on an upgraded gift to be used for the chat instead of accentColorId and backgroundCustomEmojiId; may be null if none.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpdateChatAccentColors()`
  Chat accent colors have changed.
  `UpdateChatAccentColors(long chatId, int accentColorId, long backgroundCustomEmojiId, TdApi.UpgradedGiftColors upgradedGiftColors, int profileAccentColorId, long profileBackgroundCustomEmojiId)`
  Chat accent colors have changed.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Chat identifier.

  - ### accentColorId

    public int accentColorId
    The new chat accent color identifier.

  - ### backgroundCustomEmojiId

    public long backgroundCustomEmojiId
    The new identifier of a custom emoji to be shown on the reply header and link preview background; 0 if none.

  - ### upgradedGiftColors

    @Nullable public TdApi.UpgradedGiftColors upgradedGiftColors
    Color scheme based on an upgraded gift to be used for the chat instead of accentColorId and backgroundCustomEmojiId; may be null if none.

  - ### profileAccentColorId

    public int profileAccentColorId
    The new chat profile accent color identifier; -1 if none.

  - ### profileBackgroundCustomEmojiId

    public long profileBackgroundCustomEmojiId
    The new identifier of a custom emoji to be shown on the profile background; 0 if none.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UpdateChatAccentColors

    public UpdateChatAccentColors()
    Chat accent colors have changed.

  - ### UpdateChatAccentColors

    public UpdateChatAccentColors(long chatId, int accentColorId, long backgroundCustomEmojiId, TdApi.UpgradedGiftColors upgradedGiftColors, int profileAccentColorId, long profileBackgroundCustomEmojiId)
    Chat accent colors have changed.
    Parameters:
      `chatId` - Chat identifier.
      `accentColorId` - The new chat accent color identifier.
      `backgroundCustomEmojiId` - The new identifier of a custom emoji to be shown on the reply header and link preview background; 0 if none.
      `upgradedGiftColors` - Color scheme based on an upgraded gift to be used for the chat instead of accentColorId and backgroundCustomEmojiId; may be null if none.
      `profileAccentColorId` - The new chat profile accent color identifier; -1 if none.
      `profileBackgroundCustomEmojiId` - The new identifier of a custom emoji to be shown on the profile background; 0 if none.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Update`
    Returns:
      this.CONSTRUCTOR